with GNATCOM.Dispinterface;

package MSHTML.DispDOMException_Object is

   type DispDOMException_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_code
     (This : DispDOMException_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_code
     (This : DispDOMException_Type)
     return GNATCOM.Types.VARIANT;

   function Get_message
     (This : DispDOMException_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispDOMException_Object;

